import styled from "@emotion/styled";
import { component, mergeConfig } from "../../../../engines";
import { spinnerConfig } from "../../../Spinner";
var mergedConfig = mergeConfig(spinnerConfig);
var Spinner = component(mergedConfig);
export var InputWrapper = /*#__PURE__*/ styled("div", {
    target: "e3186si0",
    label: "InputWrapper"
})("overflow-x:auto;overflow-y:hidden;flex:1;cursor:", function(param) {
    var isManualInput = param.isManualInput;
    return isManualInput ? 'text' : 'default';
}, ";::-webkit-scrollbar{display:none;}scrollbar-width:none;overscroll-behavior:contain;");
export var TextWrapper = /*#__PURE__*/ styled("div", {
    target: "e3186si1",
    label: "TextWrapper"
})("display:flex;align-items:center;justify-content:center;width:fit-content;margin:0 auto;box-sizing:border-box;");
export var AdditionalText = /*#__PURE__*/ styled("span", {
    target: "e3186si2",
    label: "AdditionalText"
})();
export var Loader = /*#__PURE__*/ styled("div", {
    target: "e3186si3",
    label: "Loader"
})();
export var StyledSpinner = /*#__PURE__*/ styled(Spinner, {
    target: "e3186si4",
    label: "StyledSpinner"
})();
export var DynamicInput = /*#__PURE__*/ styled("div", {
    target: "e3186si5",
    label: "DynamicInput"
})("position:relative;");
export var Input = /*#__PURE__*/ styled("input", {
    target: "e3186si6",
    label: "Input"
})("box-sizing:border-box;appearance:none;border:0;padding:0;background-color:transparent;outline:none;width:", function(param) {
    var dynamicWidth = param.dynamicWidth;
    return dynamicWidth;
}, ";cursor:", function(param) {
    var isManualInput = param.isManualInput;
    return isManualInput ? 'text' : 'default';
}, ";pointer-events:", function(param) {
    var isManualInput = param.isManualInput;
    return isManualInput ? 'initial' : 'none';
}, ";transition:width 0.1s;");
export var InputWidthHelper = /*#__PURE__*/ styled("span", {
    target: "e3186si7",
    label: "InputWidthHelper"
})("position:absolute;z-index:-999;visibility:hidden;top:0;left:0;opacity:0;height:0;white-space:pre;");
